#-------------------------------------------------
#
# Project created by QtCreator 2018-12-20T13:55:59
#
#-------------------------------------------------

QT  += core gui
QT += multimediawidgets
QT+= sql
QT += network
QT += serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = velocefinal2
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
        login.cpp \
    admin.cpp \
    connexion.cpp \
    smtp.cpp \
    qcustomplot.cpp \
    rayonprincipale.cpp \
    gestionarticle.cpp \
    gestionrayon.cpp \
    ajouterarticle.cpp \
    supprimerarticle.cpp \
    modifierarticle.cpp \
    chariot_principale.cpp \
    ajouter_chariot.cpp \
    chariot.cpp \
    afficher_chariot.cpp \
    modifier_chariot.cpp \
    supprimer_chariot.cpp \
    parking_principale.cpp \
    gestion_parking.cpp \
    stock_principale.cpp \
    commande.cpp \
    gestion_commande.cpp \
    ajouter_commande.cpp \
    afficher_commande.cpp \
    supprimer_commande.cpp \
    parking.cpp \
    ajouter_parking2.cpp \
    afficher_parking2.cpp \
    supprimer_parking.cpp \
    stat.cpp \
    rayon.cpp \
    afficherrayon.cpp \
    ajouterrayon.cpp \
    supprimerrayon.cpp \
    modifierrayon.cpp \
    articler.cpp \
    modifier_commande.cpp \
    modifier_parking.cpp \
    afficherarticle.cpp \
    dialog2.cpp \
    gestion_caisse.cpp \
    caisseprincipal.cpp \
    modifier_marchandise.cpp \
    ajouter_marchandise.cpp \
    supprimer_marchandise.cpp \
    afficher_marchandise.cpp \
    marchandise.cpp \
    gestionmarchandise.cpp \
    ajoutercaisse.cpp \
    modifiercaisse.cpp \
    supprimercaisse.cpp \
    affichercaisse.cpp \
    caisse.cpp \
    article2.cpp \
    ajouter_article2.cpp \
    gestion_article2.cpp \
    afficher_article2.cpp \
    modifier_article2.cpp \
    supprimer_article2.cpp \
    gestion_chariot2.cpp \
    arduino2.cpp \
    arduino.cpp \
    stat_chariot.cpp \
    ajouter_voiture.cpp \
    voiture.cpp \
    afficher_voiture.cpp \
    gestion_voiture.cpp \
    supprimer_voiture.cpp \
    statistique_chariot.cpp \
    statis.cpp

HEADERS += \
        login.h \
    admin.h \
    caisseprincipal.h \
    connexion.h \
    smtp.h \
    qcustomplot.h \
    rayonprincipale.h \
    gestionarticle.h \
    gestionrayon.h \
    ajouterarticle.h \
    articler.h \
    afficherarticle.h \
    supprimerarticle.h \
    modifierarticle.h \
    chariot_principale.h \
    ajouter_chariot.h \
    chariot.h \
    afficher_chariot.h \
    modifier_chariot.h \
    supprimer_chariot.h \
    parking_principale.h \
    gestion_parking.h \
    stock_principale.h \
    commande.h \
    gestion_commande.h \
    ajouter_commande.h \
    afficher_commande.h \
    modifier_commande.h \
    supprimer_commande.h \
    parking.h \
    ajouter_parking2.h \
    afficher_parking2.h \
    modifier_parking.h \
    supprimer_parking.h \
    stat.h \
    rayon.h \
    rayonprincipale.h \
    afficherrayon.h \
    supprimerrayon.h \
    articler.h \
    modifierarticle.h \
    supprimerarticle.h \
    ajouterarticle.h \
    afficherarticle.h \
    ajouterrayon.h \
    modifierrayon.h \
    dialog2.h \
    caisseprincipal.h \
    modifier_marchandise.h \
    afficher_marchandise.h \
    ajouter_marchandise.h \
    supprimer_marchandise.h \
    marchandise.h \
    gestionmarchandise.h \
    gestion_caisse.h \
    ajoutercaisse.h \
    modifiercaisse.h \
    supprimercaisse.h \
    affichercaisse.h \
    caisse.h \
    article2.h \
    ajouter_article2.h \
    gestion_article2.h \
    afficher_article2.h \
    modifier_article2.h \
    supprimer_article2.h \
    gestion_chariot2.h \
    arduino.h \
    stat_chariot.h \
    ajouter_voiture.h \
    voiture.h \
    afficher_voiture.h \
    gestion_voiture.h \
    supprimer_voiture.h \
    statistique_chariot.h \
    statis.h

FORMS += \
        login.ui \
    admin.ui \
    caisseprincipal.ui \
    rayonprincipale.ui \
    gestionarticle.ui \
    gestionrayon.ui \
    ajouterarticle.ui \
    afficherarticle.ui \
    supprimerarticle.ui \
    modifierarticle.ui \
    chariot_principale.ui \
    ajouter_chariot.ui \
    afficher_chariot.ui \
    modifier_chariot.ui \
    supprimer_chariot.ui \
    parking_principale.ui \
    gestion_parking.ui \
    gestion_caisse.ui \
    stock_principale.ui \
    gestion_commande.ui \
    ajouter_commande.ui \
    afficher_commande.ui \
    modifier_commande.ui \
    supprimer_commande.ui \
    ajouter_parking2.ui \
    afficher_parking2.ui \
    modifier_parking.ui \
    supprimer_parking.ui \
    stat.ui \
    rayonprincipale.ui \
    afficherrayon.ui \
    ajouterrayon.ui \
    modifierrayon.ui \
    supprimerrayon.ui \
    ajouterrayon.ui \
    dialog2.ui \
    gestion_caisse.ui \
    caisseprincipal.ui \
    modifier_marchandise.ui \
    afficher_marchandise.ui \
    supprimer_marchandise.ui \
    ajouter_marchandise.ui \
    gestion_caisse.ui \
    gestionmarchandise.ui \
    ajoutercaisse.ui \
    modifiercaisse.ui \
    supprimercaisse.ui \
    affichercaisse.ui \
    ajouter_article2.ui \
    gestion_article2.ui \
    afficher_article2.ui \
    modifier_article2.ui \
    supprimer_article2.ui \
    gestion_chariot2.ui \
    stat_chariot.ui \
    ajouter_voiture.ui \
    afficher_voiture.ui \
    gestion_voiture.ui \
    supprimer_voiture.ui \
    statistique_chariot.ui \
    statis.ui

RESOURCES += \
    image.qrc \
    image2.qrc \
    image.qrc \
    image1.qrc

DISTFILES += \
    responsable chariot/1.png \
    responsable chariot/ch_ch_aff.png \
    responsable chariot/ch_ch_ajj.png \
    responsable chariot/ch_ch_mail.png \
    responsable chariot/ch_ch_mod.png \
    responsable chariot/ch_ch_re.png \
    responsable chariot/ch_ch_stat.png \
    responsable chariot/gestion chariot.png \
    responsable chariot/responsable caisses page 1.png \
    responsable chariot/responsable chariot.png \
    responsable chariot/responsable chariot_chariot_afficher.png \
    responsable chariot/responsable chariot_chariot_ajouter.png \
    responsable chariot/responsable chariot_chariot_mailing.png \
    responsable chariot/responsable chariot_chariot_modifier.png \
    responsable chariot/responsable chariot_chariot_stat.png \
    responsable chariot/responsable chariot_chariot_supprimer.png \
    responsable chariot/responsable chariotmarchandise.png
